package com.steerinfo.ems.trmproduct.mapper;

import com.steerinfo.ems.trmproduct.model.TRmProduct;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Mapper
public interface TRmProductMapper extends IBaseMapper<TRmProduct, String> {

    List<TRmProduct> getIdAndName();

    /**
     * 查询实绩工序与产品关联数量
     * @return
     */
    int selectForTrmworkprocproductR(@Param("id") String id);

    /**
     * 查询计划工序与产品关联数量
     * @return
     */
    int selectForTrmworkprocproductP(@Param("id") String id);

    /**
     * 求最大值id
     * @return
     */
    String getMaxId();

    /**
     * 获取最大序列
     */
    String getMaxNo();

    /**
     * 获取ems物料编码
     * @return
     */
    Set<String> getBcode(@Param("productid") String productid);


}